variables:
  DOCKER_REGISTRY: "registry.gitlab.com"

services:
  - docker:18.06.1-ce-dind

build image:
  image: docker:18.06.1-ce

  script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN ${DOCKER_REGISTRY}
    - docker build -t ${DOCKER_REGISTRY}/${CI_PROJECT_PATH} .
    - docker push ${DOCKER_REGISTRY}/${CI_PROJECT_PATH}
